Bug 20680 - Need to support comma separated list of key times in keyframes selectors
Summary: Need to support comma separated list of key times in keyframes selectors
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-05 17:40 PDT by Chris Marrin
Modified: 2008-09-11 17:37 PDT (History)
2 users (show)

See Also:


Attachments
Patch, including LayoutTest file (17.85 KB, patch)
2008-09-08 14:43 PDT, Chris Marrin
no flags Details | Formatted Diff | Diff
Fixed small nits in patch (capitalization, etc.) (17.85 KB, patch)
2008-09-08 15:03 PDT, Chris Marrin
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Marrin 2008-09-05 17:40:14 PDT
The spec says the key times can be "a comma-separated list of percentage values". But the syntax currently only supports a single key time.
Comment 1 Chris Marrin 2008-09-08 14:43:48 PDT
Created attachment 23271 [details]
Patch, including LayoutTest file
Comment 2 Chris Marrin 2008-09-08 15:03:15 PDT
Created attachment 23274 [details]
Fixed small nits in patch (capitalization, etc.)
Comment 3 Dave Hyatt 2008-09-11 15:15:00 PDT
Comment on attachment 23274 [details]
Fixed small nits in patch (capitalization, etc.)

r=me
Comment 4 Dean Jackson 2008-09-11 17:37:11 PDT
Committed r36347
	M	WebCore/ChangeLog
	M	WebCore/css/CSSStyleSelector.cpp
	M	WebCore/css/WebKitCSSKeyframesRule.cpp
	M	WebCore/css/CSSParser.cpp
	M	WebCore/css/CSSGrammar.y
	M	WebCore/css/WebKitCSSKeyframeRule.cpp
	M	WebCore/css/WebKitCSSKeyframeRule.h
	M	WebCore/css/WebKitCSSKeyframesRule.h
	M	WebCore/css/CSSParser.h
	M	WebCore/page/animation/AnimationBase.cpp
	M	LayoutTests/ChangeLog
	A	LayoutTests/animations/keyframes-comma-separated-expected.txt
	A	LayoutTests/animations/keyframes-comma-separated.html